Index: doc/latex/classUserInfoCore__inherit__graph.eps
===================================================================
--- doc/latex/classBMcond__inherit__graph.eps (revision 91)
+++ doc/latex/classUserInfoCore__inherit__graph.eps (revision 140)
@@ -1,5 +1,5 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
-%%For: (smidl) Vasek Smidl,,,
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%For: (smidl) Vaclav Smidl,,,
 %%Title: G
 %%Pages: (atend)
@@ -180,54 +180,54 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 418 120
+%%PageBoundingBox: 36 36 280 258
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 382 84 boxprim clip newpath
+36 36 244 222 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 84 56 moveto
-84 75 lineto
-136 75 lineto
-136 56 lineto
+newpath 74 192 moveto
+74 213 lineto
+152 213 lineto
+152 192 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 84 56 moveto
-84 75 lineto
-136 75 lineto
-136 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-92 61.25 moveto 36 (BMcond) alignedtext
+newpath 74 192 moveto
+74 213 lineto
+152 213 lineto
+152 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+82 199.5 moveto 62 (UserInfoCore) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 0 1 58 19 ]
+[ /Rect [ 71 133 155 153 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
+  /Action << /Subtype /URI /URI ($classUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-59 19 lineto
-59 0 lineto
+newpath 71 132 moveto
+71 153 lineto
+155 153 lineto
+155 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-59 19 lineto
-59 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-7.625 5.25 moveto 42.75 (EKF_unQ) alignedtext
+newpath 71 132 moveto
+71 153 lineto
+155 153 lineto
+155 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+79 139.5 moveto 68 (UserInfo< T >) alignedtext
 grestore
 % Node1->Node2
@@ -236,173 +236,91 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 76 51 moveto
-59 41 41 27 32 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 74.5586 54.2031 moveto
-85 56 lineto
-77.9582 48.084 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 74.5586 54.2031 moveto
-85 56 lineto
-77.9582 48.084 lineto
-closepath stroke
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87 50 moveto
-72 40 54 27 42 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 85.738 53.3651 moveto
-96 56 lineto
-89.6209 47.5408 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 85.738 53.3651 moveto
-96 56 lineto
-89.6209 47.5408 lineto
-closepath stroke
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 98 49 moveto
-86 40 67 27 52 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 96.1694 52.0489 moveto
-106 56 lineto
-100.779 46.7809 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 96.1694 52.0489 moveto
-106 56 lineto
-100.779 46.7809 lineto
+newpath 113 182 moveto
+113 172 113 161 113 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 109.5 182 moveto
+113 192 lineto
+116.5 182 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 109.5 182 moveto
+113 192 lineto
+116.5 182 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 76 0 moveto
-76 19 lineto
-145 19 lineto
-145 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.749 nodecolor
-newpath 76 0 moveto
-76 19 lineto
-145 19 lineto
-145 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-83.375 5.25 moveto 53.25 (EKF_unQful) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 110 46 moveto
-110 37 110 26 110 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.5 46 moveto
-110 56 lineto
-113.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.5 46 moveto
-110 56 lineto
-113.5 46 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 162 1 218 19 ]
+[ /Rect [ 0 61 94 81 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKFfixed.html) >>
+  /Action << /Subtype /URI /URI ($classUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 162 0 moveto
-162 19 lineto
-219 19 lineto
-219 0 lineto
+newpath 0 60 moveto
+0 81 lineto
+95 81 lineto
+95 60 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 162 0 moveto
-162 19 lineto
-219 19 lineto
-219 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-169.75 5.25 moveto 40.5 (EKFfixed) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 132 50 moveto
-147 40 165 27 177 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 129.9 47.2 moveto
-124 56 lineto
-134.1 52.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 129.9 47.2 moveto
-124 56 lineto
-134.1 52.8 lineto
+newpath 0 60 moveto
+0 81 lineto
+95 81 lineto
+95 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 67.5 moveto 79 (UserInfo< Car >) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89 185 moveto
+80 177 69 166 62 154 curveto
+49 130 47 97 47 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 87.17 188.05 moveto
+97 192 lineto
+91.78 182.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 87.17 188.05 moveto
+97 192 lineto
+91.78 182.78 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 236 1 300 19 ]
+[ /Rect [ 126 61 236 81 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKFcondQR.html) >>
+  /Action << /Subtype /URI /URI ($classUserInfo.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 236 0 moveto
-236 19 lineto
-300 19 lineto
-300 0 lineto
+newpath 126 60 moveto
+126 81 lineto
+237 81 lineto
+237 60 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 236 0 moveto
-236 19 lineto
-300 19 lineto
-300 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-244 5.25 moveto 48 (KFcondQR) alignedtext
+newpath 126 60 moveto
+126 81 lineto
+237 81 lineto
+237 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+133.5 67.5 moveto 95 (UserInfo< Engine >) alignedtext
 grestore
 % Node1->Node5
@@ -411,65 +329,163 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 146 53 moveto
-175 43 216 28 243 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 143.985 50.0364 moveto
-136 57 lineto
-146.585 56.5357 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 143.985 50.0364 moveto
-136 57 lineto
-146.585 56.5357 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 318 1 374 19 ]
+newpath 135 185 moveto
+145 176 156 165 164 154 curveto
+175 138 177 133 182 114 curveto
+183 107 182 106 182 100 curveto
+182 94 181 87 181 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 132.22 182.78 moveto
+127 192 lineto
+136.83 188.05 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 132.22 182.78 moveto
+127 192 lineto
+136.83 188.05 lineto
+closepath stroke
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 81 126 moveto
+75 123 70 119 65 114 curveto
+57 104 52 90 49 81 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 78.9 128.8 moveto
+89 132 lineto
+83.1 123.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 78.9 128.8 moveto
+89 132 lineto
+83.1 123.2 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+68.5 104.5 moveto 39 (< Car >) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 117 122 moveto
+119 114 122 106 127 100 curveto
+134 92 144 86 153 81 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 113.53 121.51 moveto
+115 132 lineto
+120.39 122.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 113.53 121.51 moveto
+115 132 lineto
+120.39 122.88 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+126.5 104.5 moveto 55 (< Engine >) alignedtext
+grestore
+% Node4
+gsave
+[ /Rect [ 26 1 68 21 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKFcondR.html) >>
+  /Action << /Subtype /URI /URI ($classCarUI.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 318 0 moveto
-318 19 lineto
-375 19 lineto
-375 0 lineto
+newpath 26 0 moveto
+26 21 lineto
+68 21 lineto
+68 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 318 0 moveto
-318 19 lineto
-375 19 lineto
-375 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-325.75 5.25 moveto 40.5 (KFcondR) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146 58 moveto
-186 49 252 34 309 20 curveto
-312 19 315 18 318 17 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 145.119 54.6067 moveto
-136 60 lineto
-146.492 61.4708 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 145.119 54.6067 moveto
-136 60 lineto
-146.492 61.4708 lineto
+newpath 26 0 moveto
+26 21 lineto
+68 21 lineto
+68 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+34 7.5 moveto 26 (CarUI) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 47 50 moveto
+47 40 47 29 47 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 43.5 50 moveto
+47 60 lineto
+50.5 50 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 43.5 50 moveto
+47 60 lineto
+50.5 50 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 152 1 210 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEngineUI.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 152 0 moveto
+152 21 lineto
+210 21 lineto
+210 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 152 0 moveto
+152 21 lineto
+210 21 lineto
+210 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+160 7.5 moveto 42 (EngineUI) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 181 50 moveto
+181 40 181 29 181 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 177.5 50 moveto
+181 60 lineto
+184.5 50 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 177.5 50 moveto
+181 60 lineto
+184.5 50 lineto
 closepath stroke
 grestore
@@ -481,5 +497,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 418 120
+%%BoundingBox: 36 36 280 258
 end
 restore
